:- use_module('../html_generation').
:- use_module('../html_format_handle').
:- use_module('../html_templates_handle').
:- use_package(pillow).
:- use_module(example_aux).


tdir('/home/jgomez/public_html/WebDB20/html_templates/').

hdir('/home/jgomez/public_html/WebDB20/db_types/').

form_desc(user_data(name('Name','',30),
	            number('Phone number','',30),
		    input_link('URL', '', 30))).
	    
main :- 
	spec_pred(user_data/3),
	load_presentation,
 	get_form_input(Input),
 	compute_reply(Input, 5, Users),	
	form_desc(D),
	D =..[_|Descs],
	preds_to_form(public, Users, Descs, Form),
	html_option(page_body,[[Head, Content, []]], Body),
	html_option(admin_heading,['Example'], Head),
	html_option(admin_content,[Content0], Content),
	html_option(general_choose,['This is an example form'],Message),
	html_option(ok_button,[],Ok_Button),
	Content0 = [
		       Message,
		       start_form,
		       Form,
		       Ok_Button,
		       end_form
		   ],
        compose_page('Example', Body, '', Page),
	output_html(Page).

compute_reply([], N, Users) :-
	get_n_facts(N, user_data, 3, Users).	
compute_reply(Input, N, Users) :-
	get_n_preds_form_vals(Input, user_data, 3, N, LVals),
	update_data(LVals, user_data, 3, Users).

load_presentation :-
	tdir(T),
	hdir(H),
	load_html_format(html_format, H),
	read_option_html(_, T).
