:- module(example_aux, 
	[
	    spec_pred/1,
	    update_data/4,
	    get_n_facts/4
	], 
	[iso, persdb, assertions, regtypes]).

:- use_module(library(lists)).
:- use_module(engine(internals), [term_to_meta/2]).

spec_pred(F/A) :-
	data_facts:asserta_fact(persistent_dir(db,'./')),
	data(F/A),
	make_persistent(F/A, db).

update_data(LVals, F, A, Users) :-
	functor(T,F,A),
	persdbrt:retractall_fact(T),
	update_data_(LVals, F, Users).

update_data_([],_, []).
update_data_([LV|LVs], F, [U|Us]) :-
	U =.. [F|LV],
	persdbrt:assertz_fact(U),
	update_data_(LVs, F, Us).

get_n_facts(0,_,_,[]).
get_n_facts(N, F, A, [U|Us]) :-
	functor(U,F,A),
	persdbrt:retract_fact(U), !,
	persdbrt:assertz_fact(U),
	N1 is N-1,
	get_n_facts(N1, F, A, Us).
get_n_facts(N, F, A, [U|Us]) :-
	blank_fact(F, A, U),
	N1 is N-1,
	get_n_facts(N1, F, A, Us).

blank_fact(F, A, U) :-
	length(L, A),
	list(L, blank),
	U =.. [F|L].

blank('').
