:- use_module('../html_generation').
:- use_module('../html_format_handle').
:- use_module('../html_templates_handle').

:- use_package(pillow).

tdir('/home/jgomez/CVS/Systems/WebDB2.0/html_templates/').
hdir('/home/jgomez/CVS/Systems/WebDB2.0/db_types_example/').

main(Output) :-
	hdir(HDir),
	load_html_format(html_format, HDir),
	tdir(TDir),
	read_option_html(general_table, TDir),
	read_option_html(data_row, TDir),
	form_([f1,f2], [name(f,'',20),name(f2,'',20)], Output).
	
main2(Output) :-
	hdir(HDir),
	load_html_format(html_format, HDir),
	tdir(TDir),
	read_option_html(general_table, TDir),
	read_option_html(data_row, TDir),
	form([p_1, p_2], p(name(f,'',20),name(f2,'',20)), Output).
	

main3(X) :-
	get_n_preds_form_vals([=(add_field_desc,test1),=(add_field_type,'name_small (1-20)'),=(table_name,test),=(service,table_to_edit_service)],edit_line,2,0,X).

main4(X) :-
	get_form_full_search_vals([=(add_field_desc,tt),=(add_field_type,'name_small (1-20)'),=(table_name,'Table'),=(service,table_to_edit_service)],edit_line,1,0,2,X).


get_form_full_search_vals(_, _, RowIndex, Length, _, []) :- 
	RowIndex > Length, !.
get_form_full_search_vals(Input, Table, RowIndex, Length, Arity, [LVals|LLVs]):- 
	get_full_search_vals(Input, Table, RowIndex, 1, Arity, LVals),
	NewRowIndex is RowIndex + 1,
	get_form_full_search_vals(Input, Table, NewRowIndex, Length, Arity, LLVs). 
get_full_search_vals(_, _, _, N, Arity, []):- N > Arity, !.
get_full_search_vals(Input, Table, RowIndex, N, Arity, [Val|Vs]):-
	number_codes(RowIndex, Rc),
	atom_codes(Ra, "_"||Rc),
	number_codes(N, Nc),
	atom_codes(Na, "_"||Nc),
	atom_concat(Ra, Na, Index),
	atom_concat(Table, Index, Field),
	get_form_value(Input, Field, Val),
	N1 is N + 1,
	get_full_search_vals(Input, Table, RowIndex, N1, Arity, Vs).


main5(X) :-
	read_option_html(_, '/home/jgomez/public_html/WebDB20/html_templates/'),
	preds_to_data_table([pred(1,'Ttable'(a,b))],[name(f1,'',20),name(f2,'',20)],X).


main6(X) :- 	
	hdir(HDir),
	load_html_format(html_format, HDir),
	read_option_html(_, '/home/jgomez/public_html/WebDB20/html_templates/'),
	form([p_1, p_2], p(name(f1, '', 20),name(f1, '', 20)), X).
	

main7(X) :- 	
	hdir(HDir),
	load_html_format(html_format, HDir),
	read_option_html(_, '/home/jgomez/public_html/WebDB20/html_templates/'),
	preds_to_data_table(
			       [p(a,b), p(c,d)], 
			       [name(pf1, '', 20), name(pf2, '', 20)],
			       X).	
	
main8(X) :- 	
	hdir(HDir),
	load_html_format(html_format, HDir),
	read_option_html(_, '/home/jgomez/public_html/WebDB20/html_templates/'),
	preds_to_form(public,
			 [p(a,b), p(c,d)], 
			 [name(pf1, '', 20), name(pf2, '', 20)],
			  X).	
	
